From f72594e554ff534d9c0cf7f222c56387723949fb Mon Sep 17 00:00:00 2001
From: tteckster <tteckster@gmail.com>
Date: Mon, 25 Apr 2022 10:21:16 -0400
Subject: [PATCH] Update debian-v3.sh

---
 ct/debian-v3.sh | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/ct/debian-v3.sh b/ct/debian-v3.sh
index 245c11bf5..b8b46249b 100644
--- a/ct/debian-v3.sh
+++ b/ct/debian-v3.sh
@@ -27,6 +27,15 @@ shopt -s expand_aliases
 alias die='EXIT=$? LINE=$LINENO error_exit'
 trap die ERR
 
+function error_exit() {
+  trap - ERR
+  local reason="Unknown failure occured."
+  local msg="${1:-$reason}"
+  local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
+  echo -e "$flag $msg" 1>&2
+  exit $EXIT
+}
+
 function msg_info() {
    local msg="$1"
    echo -ne " ${HOLD} ${YW}${msg}..."
@@ -37,15 +46,6 @@ function msg_ok() {
    echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
 }
 
-function error_exit() {
-  trap - ERR
-  local reason="Unknown failure occured."
-  local msg="${1:-$reason}"
-  local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
-  echo -e "$flag $msg" 1>&2
-  exit $EXIT
-}
-
 while true; do
     read -p "This will create a New ${APP} LXC. Proceed(y/n)?" yn
     case $yn in